package com.ruoyi.hardware.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备对象 doumu_hardware
 * 
 * @author boman
 * @date 2024-01-23
 */
public class DoumuHardware extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Long hardwareId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String hardwareName;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String hardwareNum;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String hardwareSource;

    /** 设备ip */
    @Excel(name = "设备ip")
    private String hardwareIp;

    /** 设备二维码地址 */
    @Excel(name = "设备二维码地址")
    private String hardwareUrl;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private String hardwareType;
    /** 设备id */
    private Long[] hardwareIds;

    public Long[] getHardwareIds() {
        return hardwareIds;
    }

    public void setHardwareIds(Long[] hardwareIds) {
        this.hardwareIds = hardwareIds;
    }

    public void setHardwareId(Long hardwareId)
    {
        this.hardwareId = hardwareId;
    }

    public Long getHardwareId() 
    {
        return hardwareId;
    }
    public void setHardwareName(String hardwareName) 
    {
        this.hardwareName = hardwareName;
    }

    public String getHardwareName() 
    {
        return hardwareName;
    }
    public void setHardwareNum(String hardwareNum) 
    {
        this.hardwareNum = hardwareNum;
    }

    public String getHardwareNum() 
    {
        return hardwareNum;
    }
    public void setHardwareSource(String hardwareSource) 
    {
        this.hardwareSource = hardwareSource;
    }

    public String getHardwareSource() 
    {
        return hardwareSource;
    }
    public void setHardwareIp(String hardwareIp) 
    {
        this.hardwareIp = hardwareIp;
    }

    public String getHardwareIp() 
    {
        return hardwareIp;
    }
    public void setHardwareUrl(String hardwareUrl) 
    {
        this.hardwareUrl = hardwareUrl;
    }

    public String getHardwareUrl() 
    {
        return hardwareUrl;
    }
    public void setHardwareType(String hardwareType) 
    {
        this.hardwareType = hardwareType;
    }

    public String getHardwareType() 
    {
        return hardwareType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hardwareId", getHardwareId())
            .append("hardwareName", getHardwareName())
            .append("hardwareNum", getHardwareNum())
            .append("hardwareSource", getHardwareSource())
            .append("hardwareIp", getHardwareIp())
            .append("hardwareUrl", getHardwareUrl())
            .append("hardwareType", getHardwareType())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
